- Qt 5.15
- Qt GUI
- C++ Classes
- QAccessibleObject
- Qt 5.15.18 Reference Documentation

# QAccessibleObject Class

The QAccessibleObject class implements parts of the QAccessibleInterface for QObjects. More...

Header: | #include <QAccessibleObject>
qmake: | QT += gui
Inherits: | QAccessibleInterface

- List of all members, including inherited members

## Public Functions

| QAccessibleObject(QObject *object)

## Reimplemented Public Functions

virtual QAccessibleInterface * | childAt(int x, int y) const override
virtual bool | isValid() const override
virtual QObject * | object() const override
virtual QRect | rect() const override
virtual void | setText(QAccessible::Text t, const QString &text) override

## Protected Functions

virtual | ~QAccessibleObject()

## Detailed Description

This class is part of Accessibility for QWidget Applications.

This class is mainly provided for convenience. All subclasses of the QAccessibleInterface that provide implementations of non-widget objects should use this class as their base class.

See also QAccessible and QAccessibleWidget.

## Member Function Documentation

### QAccessibleObject::QAccessibleObject(QObject *object)

Creates a QAccessibleObject for object.

### `[virtual protected]` QAccessibleObject::~QAccessibleObject()

Destroys the QAccessibleObject.

This only happens when a call to release() decrements the internal reference counter to zero.

### `[override virtual]` QAccessibleInterface *QAccessibleObject::childAt(int x, int y) const

Reimplements: QAccessibleInterface::childAt(int x, int y) const.

### `[override virtual]` bool QAccessibleObject::isValid() const

Reimplements: QAccessibleInterface::isValid() const.

### `[override virtual]` QObject *QAccessibleObject::object() const

Reimplements: QAccessibleInterface::object() const.

### `[override virtual]` QRect QAccessibleObject::rect() const

Reimplements: QAccessibleInterface::rect() const.

### `[override virtual]` void QAccessibleObject::setText(QAccessible::Text t, const QString &text)

Reimplements: QAccessibleInterface::setText(QAccessible::Text t, const QString &text).